Package com.opensymphony.module.sitemesh.multipass

# Class MultipassReplacementPageParser

java.lang.Object
com.opensymphony.module.sitemesh.multipass.MultipassReplacementPageParser

All Implemented Interfaces:
  `PageParser`

public class MultipassReplacementPageParser extends Object implements PageParser

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Page`
`page`
`private final javax.servlet.http.HttpServletResponse`
`response`

## Constructor Summary

Constructors
Constructor
Description
`MultipassReplacementPageParser(Page page, javax.servlet.http.HttpServletResponse response)`

## Method Summary

Modifier and Type
Method
Description
`Page`
`parse(char[] data)`
This builds a Page.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### page

private final Page page

### response

private final javax.servlet.http.HttpServletResponse response

## Constructor Details

### MultipassReplacementPageParser

public MultipassReplacementPageParser(Page page, javax.servlet.http.HttpServletResponse response)

## Method Details

### parse

public Page parse(char[] data) throws IOException
Description copied from interface: `PageParser`
This builds a Page.

Specified by:
  `parse` in interface `PageParser`
Throws:
  `IOException`